org.cpsolver.ifs.util

## Class Progress.Message

- java.lang.Object
- - org.cpsolver.ifs.util.Progress.Message

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Progress

      public static class Progress.Message
      extends Object
      implements Serializable

  Log nessage
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message(Element element)` Creates message out of XML element

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDate()` Time stamp
    `int` | `getLevel()` Debug level
    `String` | `getMessage()` Message
    `String[]` | `getTrace()` Tracelog
    `void` | `save(Element element)` Saves message into an XML element
    `String` | `toHtmlString()` HTML representation of the message
    `String` | `toHtmlString(boolean includeDate)` HTML representation of the message
    `String` | `toHtmlString(int level)` HTML representation of the message (null if the message level is below the given level)
    `String` | `toHtmlString(int level, boolean includeDate)` HTML representation of the message
    `String` | `toString()` String representation of the message
    `String` | `toString(int level)` String representation of the message (null if the message level is below the given level)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message(Element element)

      Creates message out of XML element
      Parameters:
        `element` - XML element with the message

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Message
      Returns:
        message text

    - #### getLevel

          public int getLevel()

      Debug level
      Returns:
        logging level

    - #### getDate

          public Date getDate()

      Time stamp
      Returns:
        message date and time

    - #### getTrace

          public String[] getTrace()

      Tracelog

    - #### toString

          public String toString(int level)

      String representation of the message (null if the message level is below the given level)
      Parameters:
        `level` - minimum level
      Returns:
        message log as string

    - #### toString

          public String toString()

      String representation of the message
      Overrides:
        `toString` in class `Object`

    - #### toHtmlString

          public String toHtmlString(int level,
                                     boolean includeDate)

      HTML representation of the message
      Parameters:
        `level` - level minimum level
        `includeDate` - true if message date and time is to be included in the log
      Returns:
        message log as HTML

    - #### toHtmlString

          public String toHtmlString(int level)

      HTML representation of the message (null if the message level is below the given level)
      Parameters:
        `level` - level minimum level
      Returns:
        message log as HTML

    - #### toHtmlString

          public String toHtmlString(boolean includeDate)

      HTML representation of the message
      Parameters:
        `includeDate` - true if message date and time is to be included in the log
      Returns:
        message log as HTML

    - #### toHtmlString

          public String toHtmlString()

      HTML representation of the message
      Returns:
        message log as HTML

    - #### save

          public void save(Element element)

      Saves message into an XML element
      Parameters:
        `element` - an XML element to which the message is to be saved (as attributes)